## visad.data.netcdf
Class NetcdfInBean

    java.lang.Object
      visad.data.netcdf.NetcdfInBean

All Implemented Interfaces:
  Serializable

public class NetcdfInBean
extends Object
implements Serializable

Adapt a netCDF input file to a Java bean.

See Also:
  Serialized Form

Constructor Summary
`NetcdfInBean()`

Method Summary
`void` `addPropertyChangeListener(PropertyChangeListener p)` Add a property change listener.
`DataImpl` `getData()` Get the VisAD data object property.
`String` `getPathname()` Get the dataset pathname property.
`void` `removePropertyChangeListener(PropertyChangeListener p)` Remove a property change listener.
`void` `setPathname(String pathname)` Set the dataset pathname property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetcdfInBean

    public NetcdfInBean()

Method Detail

### setPathname

    public void setPathname(String pathname)
                     throws IOException,
                            VisADException,
                            BadFormException

  Set the dataset pathname property.

  Throws:
    `IOException`
    `VisADException`
    `BadFormException`

### getPathname

    public String getPathname()

  Get the dataset pathname property.

### getData

    public DataImpl getData()

  Get the VisAD data object property.

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener p)

  Add a property change listener.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener p)

  Remove a property change listener.